<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.nokia.tsl_data.dao.AreaInfoDao">

    <select id="getAllCityName" resultType="string"> select area_name from report_auto.area_info
        where area_type = 'city' and ord is not null order by ord </select>

    <insert id="insertOne"> INSERT INTO report_auto.area_info (area_name, area_type)
        VALUES(#{areaName}, #{areaType}); </insert>

</mapper>